Home

# Class goog.tweak.EntriesPanel

The body of the tweaks UI and also used for BooleanGroup.

Instance Method Summary
| `createBooleanSettingDom_(!goog.tweak.BooleanSetting tweak, string label) ⇒ !DocumentFragment` Creates the DOM element to control the given boolean setting.
| `createButtonActionDom_(!goog.tweak.ButtonAction tweak, string label) ⇒ !Element` Creates the DOM element to control the given button action.
| `createComboBoxDom_((goog.tweak.NumericSetting|goog.tweak.StringSetting) tweak, string label, !Function onchangeFunc) ⇒ !DocumentFragment` Creates the DOM element to control the given enum setting.
| `createEntryElem_(!goog.tweak.BaseEntry entry) ⇒ !Element` Creates and returns a form element for the given entry.
| `createHelpElem_(?goog.tweak.BaseEntry entry) ⇒ !Element` Creates and returns a help element for the given entry.
| `createSubPanelDom_((goog.tweak.BooleanGroup|goog.tweak.NamespaceEntry_) entry, string label, !Array childEntries) ⇒ !DocumentFragment` Creates the DOM for a BooleanGroup or NamespaceEntry.
| `createTextBoxDom_((goog.tweak.NumericSetting|goog.tweak.StringSetting) tweak, string label, !Function onchangeFunc) ⇒ !DocumentFragment` Creates the DOM element to control the given string setting.
| `createTweakEntryDom_(!goog.tweak.BaseEntry entry) ⇒ (DocumentFragment|Element)` Creates the DOM element to control the given entry.
| `getRootElement() ⇒ !Element`
| `insertEntry(!goog.tweak.BaseEntry entry)` Inserts the given entry into the panel.
| `onHelpClick_(?Node entryDiv)` Click handler for the help link.
| `render((DocumentFragment|Element|null=) opt_endElement) ⇒ !Element` Creates and returns the expanded element. The markup looks like: Show Descriptions ... {endElement}
| `showDescription_(?Node entryDiv, boolean show)` Twiddle the DOM so that the entry within the given span is shown/hidden.
| `toggleAllDescriptions()` Show all entry descriptions (has the same effect as clicking on all ?'s).